Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IAction

All Known Subinterfaces:
  IDataAction

    public interface IAction

Defines an interface that allows engine to pass hyperlink information to an emitter, if the emitter determines to customize the hyperlinks calculated in engine, or it wants to use a totally different hyperlink string

Because it is allowed to customize hyperlinks through emitters, hyperlink customization in presentation engine itself is not supported now. It could be added later if it deems necessary.

Field Summary
`static int` | `ACTION_BOOKMARK` bookmark action
`static int` | `ACTION_DRILLTHROUGH` drillthrough action
`static int` | `ACTION_HYPERLINK` hyperlink action

Method Summary
`java.lang.String` | `getActionString()`
`java.lang.String` | `getBookmark()`
`java.lang.String` | `getFormat()` return fomat of drillthrough report
`java.util.Map` | `getParameterBindings()`
`java.lang.String` | `getReportName()`
`java.util.Map` | `getSearchCriteria()`
`java.lang.String` | `getSystemId()`
`java.lang.String` | `getTargetFileType()`
`java.lang.String` | `getTargetWindow()`
`java.lang.String` | `getTooltip()`
`int` | `getType()`
`boolean` | `isBookmark()` Return the bookmark type set in the drillthrough action.

Field Detail

### ACTION_HYPERLINK

    static final int ACTION_HYPERLINK

  hyperlink action

  See Also:
    Constant Field Values

### ACTION_BOOKMARK

    static final int ACTION_BOOKMARK

  bookmark action

  See Also:
    Constant Field Values

### ACTION_DRILLTHROUGH

    static final int ACTION_DRILLTHROUGH

  drillthrough action

  See Also:
    Constant Field Values

Method Detail

### getType

    int getType()

  Returns:
    the type of the hyperlink

### getBookmark

    java.lang.String getBookmark()

  Returns:
    the bookmark string

### getActionString

    java.lang.String getActionString()

  Returns:
    the action string that is calculated using the engine's default algorithm. valid for all three action types.

### getSystemId

    java.lang.String getSystemId()

  Returns:
    the system id of the report design which create this action.

### getReportName

    java.lang.String getReportName()

  Returns:
    the report name if action type is drillthrough, null otherwise

### getParameterBindings

    java.util.Map getParameterBindings()

  Returns:
    a set of name/value pairs for running the report in a drillthrough link; null when the action type is not drillthrough, or no parameters are defined for the drillthrough report to run. In the future, when the drillthrough is against a report document, the parameter binding map is also null.

### getSearchCriteria

    java.util.Map getSearchCriteria()

  Returns:
    a set of name/value pairs for searching the report in a drillthrough link; null when the action type is not drillthrough, or no search criteria is used

### getTargetWindow

    java.lang.String getTargetWindow()

  Returns:
    The name of a frame where a document is to be opened.

### getFormat

    java.lang.String getFormat()

  return fomat of drillthrough report

  Returns:

### isBookmark

    boolean isBookmark()

  Return the bookmark type set in the drillthrough action. The return result indicated the target element is a toc or not.

  Returns:
    `true`, the target element is a bookmark. `false`, the target element is indicated to be a toc.

### getTargetFileType

    java.lang.String getTargetFileType()

  Returns:
    the type of the target report file.

### getTooltip

    java.lang.String getTooltip()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.